<#macro commonStyle>
	<meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <!-- Tell the browser to be responsive to screen width -->
    <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
    <meta http-equiv="content-type" content="text/html; charset=UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="">
    <meta name="author" content="ZhenQin, zhzhenqin">

    <title>${title!'Katta UI'}</title>
    <link rel="shortcut icon" href="${request.contextPath}/static/images/favicon.ico" type="image/x-icon" />
    <link rel="stylesheet" href="${request.contextPath}/static/css/style.css" type="text/css" media="screen"/>
    <!-- Bootstrap 3.3.5 -->
    <link rel="stylesheet" href="${request.contextPath}/static/bootstrap3/css/bootstrap.min.css">

    <script type="application/javascript">
        var base_url = '${request.contextPath}';
    </script>
</#macro>

<#macro commonScript>
	<!-- jQuery 2.1.4 -->
	<script src="${request.contextPath}/static/js/jquery.min.js"></script>
    <!-- Bootstrap 3.3.5 -->
	<script src="${request.contextPath}/static/bootstrap3/js/bootstrap.min.js"></script>
    <!-- Vue -->
    <script src="${request.contextPath}/static/vue/vue.js" language="javascript" type="text/javascript"></script>

</#macro>

<#macro commonHeader>
<!-- Fixed navbar -->
<nav class="navbar navbar-default">
    <div class="container-fluid">
        <!-- Brand and toggle get grouped for better mobile display -->
        <div class="navbar-header">
            <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#bs-example-navbar-collapse-1" aria-expanded="false">
                <span class="sr-only">Toggle navigation</span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
            </button>
            <a class="navbar-brand" href="${request.contextPath}/">Home</a>
        </div>

        <!-- Collect the nav links, forms, and other content for toggling -->
        <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">
            <ul class="nav navbar-nav">
                <li><a href="${request.contextPath}/overview">Main</a></li>
            </ul>
        </div><!-- /.navbar-collapse -->
    </div><!-- /.container-fluid -->
</nav>
</#macro>

<#macro commonFooter >
	<footer class="main-footer">
        <p style="text-align: center;">
            &copy;Copyright@2017 <a href="http://www.yiidata.com" target="_blank">yiidata.com</a> 弹性私有云服务
        </p>
	</footer>
</#macro>